Debian DLA-2148-1 : amd64-microcode security update (Spectre)

Medium Nessus Plugin ID 134766

Synopsis

The remote Debian host is missing a security update.

Description

It was discovered that systems with microprocessors utilizing speculative execution and indirect branch prediction may allow unauthorized disclosure of information to an attacker with local user access via a side-channel analysis (Spectre v2). Multiple fixes were done already in Linux kernel, intel-microcode etc. This fix adds amd-microcode-based IBPB support.

For Debian 8 'Jessie', this problem has been fixed in version 3.20181128.1~deb8u1.

We recommend that you upgrade your amd64-microcode package.

NOTE: Tenable Network Security has extracted the preceding description block directly from the DLA security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Upgrade the affected amd64-microcode package.

See Also

https://lists.debian.org/debian-lts-announce/2020/03/msg00025.html

https://packages.debian.org/source/jessie/amd64-microcode

Plugin Details

Severity: Medium

ID: 134766

File Name: debian_DLA-2148.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/03/23

Updated: 2020/03/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.7

Temporal Score: 4.1

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:N/A:N

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSS v3.0

Base Score: 5.6

Temporal Score: 5.4

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:H/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:amd64-microcode, cpe:/o:debian:debian_linux:8.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2020/03/20

Vulnerability Publication Date: 2018/01/04

Reference Information

CVE: CVE-2017-5715